NXOpen .NET Reference  12.0.0
NXOpen.BasePropertyTable Member List

This is the complete list of members for NXOpen.BasePropertyTable, including all inherited members.

AddRowScalarFieldTable(string propertyName)NXOpen.BasePropertyTable
AttributeType enum nameNXOpen.NXObject
BasePropertyType enum nameNXOpen.BasePropertyTable
ClearTablePropertyOverride(string propertyName)NXOpen.BasePropertyTable
CopyProperties(NXOpen.BasePropertyTable sourceTable)NXOpen.BasePropertyTable
CopyProperty(string propertyName, NXOpen.BasePropertyTable sourcePropertyTable)NXOpen.BasePropertyTable
CreateAttributeIterator()NXOpen.NXObject
DateAndTimeFormat enum nameNXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObject
DeleteRowScalarFieldTable(string propertyName)NXOpen.BasePropertyTable
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DescriptorNeutralNameNXOpen.BasePropertyTable
DescriptorSpecificNameNXOpen.BasePropertyTable
FindObject(string journalIdentifier)NXOpen.NXObject
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetBasePropertyType(string propertyName)NXOpen.BasePropertyTable
GetBaseScalarFieldPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetBaseScalarWithDataPropertyValue(string propertyName, out double propertyValue, out NXOpen.Unit unitType)NXOpen.BasePropertyTable
GetBooleanPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetBooleanUserAttribute(string title, int index)NXOpen.NXObject
GetComplexScalarFieldWrapperPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetComplexVectorFieldWrapperPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObject
GetCoordinateSystemPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetDoublePropertyValue(string propertyName)NXOpen.BasePropertyTable
GetFieldWrapperPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetFileReferencePropertyValue(string propertyName)NXOpen.BasePropertyTable
GetIntegerArrayPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetIntegerAttribute(string title)NXOpen.NXObject
GetIntegerPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetIntegerUserAttribute(string title, int index)NXOpen.NXObject
GetMaterialPropertyValue(string propertyName, out bool materialInherited, out NXOpen.PhysicalMaterial material)NXOpen.BasePropertyTable
GetMatrixPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObject
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObject
GetPropertyCount()NXOpen.BasePropertyTable
GetPropertyNameByIndex(int index)NXOpen.BasePropertyTable
GetRealAttribute(string title)NXOpen.NXObject
GetRealUserAttribute(string title, int index)NXOpen.NXObject
GetReferenceAttribute(string title)NXOpen.NXObject
GetScalarArrayPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetScalarArrayWithUnitsPropertyValue(string propertyName, out double[] propertyValue, out NXOpen.Unit unitType)NXOpen.BasePropertyTable
GetScalarFieldTableRowCol(string propertyName, out int nRows, out int nCols)NXOpen.BasePropertyTable
GetScalarFieldWrapperByIndex(int iRow, int iCol, string propertyName)NXOpen.BasePropertyTable
GetScalarFieldWrapperPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetScalarPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetScalarTablePropertyValue(string propertyName)NXOpen.BasePropertyTable
GetStringAttribute(string title)NXOpen.NXObject
GetStringPropertyValue(string propertyName)NXOpen.BasePropertyTable
GetStringUserAttribute(string title, int index)NXOpen.NXObject
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObject
GetTimeUserAttribute(string title, int index)NXOpen.NXObject
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributes()NXOpen.NXObject
GetUserAttributes(bool includeUnset)NXOpen.NXObject
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObject
GetUserAttributesAsStrings()NXOpen.NXObject
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeSourceObjects()NXOpen.NXObject
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObject
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
IsOccurrenceNXOpen.NXObject
JournalIdentifierNXOpen.NXObject
NameNXOpen.NXObject
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
Print()NXOpen.NXObject
PrototypeNXOpen.NXObject
SetAttribute(string title, int value)NXOpen.NXObject
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, double value)NXOpen.NXObject
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, string value)NXOpen.NXObject
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title)NXOpen.NXObject
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObject
SetBaseScalarFieldPropertyValue(string propertyName, NXOpen.Fields.FieldExpression propertyValue)NXOpen.BasePropertyTable
SetBaseScalarWithDataPropertyValue(string propertyName, double propertyValue, NXOpen.Unit unitType)NXOpen.BasePropertyTable
SetBaseScalarWithDataPropertyValue(string propertyName, string propertyValue, NXOpen.Unit unitType)NXOpen.BasePropertyTable
SetBooleanPropertyValue(string propertyName, bool propertyValue)NXOpen.BasePropertyTable
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObject
SetComplexScalarFieldWrapperPropertyValue(string propertyName, NXOpen.Fields.ComplexScalarFieldWrapper propertyValue)NXOpen.BasePropertyTable
SetComplexVectorFieldWrapperPropertyValue(string propertyName, NXOpen.Fields.ComplexVectorFieldWrapper propertyValue)NXOpen.BasePropertyTable
SetCoordinateSystemPropertyValue(string propertyName, NXOpen.CoordinateSystem propertyValue)NXOpen.BasePropertyTable
SetDoublePropertyValue(string propertyName, double propertyValue)NXOpen.BasePropertyTable
SetFieldWrapperPropertyValue(string propertyName, NXOpen.Fields.FieldWrapper propertyValue)NXOpen.BasePropertyTable
SetFileReferencePropertyValue(string propertyName, string propertyValue)NXOpen.BasePropertyTable
SetIntegerArrayPropertyValue(string propertyName, int[] propertyValue)NXOpen.BasePropertyTable
SetIntegerPropertyValue(string propertyName, int propertyValue)NXOpen.BasePropertyTable
SetMaterialPropertyValue(string propertyName, bool materialInherited, NXOpen.PhysicalMaterial material)NXOpen.BasePropertyTable
SetMatrixPropertyValue(string propertyName, NXOpen.ScalarMatrixValue matrix)NXOpen.BasePropertyTable
SetName(string name)NXOpen.NXObject
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObject
SetReferenceAttribute(string title, string value)NXOpen.NXObject
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetScalarArrayPropertyValue(string propertyName, double[] propertyValue)NXOpen.BasePropertyTable
SetScalarArrayWithUnitsPropertyValue(string propertyName, double[] propertyValue, NXOpen.Unit unitType)NXOpen.BasePropertyTable
SetScalarFieldWrapperByIndex(int iRow, int iCol, string propertyName, NXOpen.Fields.ScalarFieldWrapper propertyValue)NXOpen.BasePropertyTable
SetScalarFieldWrapperPropertyValue(string propertyName, NXOpen.Fields.ScalarFieldWrapper propertyValue)NXOpen.BasePropertyTable
SetScalarPropertyValue(string propertyName, NXOpen.Expression propertyValue)NXOpen.BasePropertyTable
SetScalarTablePropertyValue(string propertyName, NXOpen.ScalarTableValue table)NXOpen.BasePropertyTable
SetStringPropertyValue(string propertyName, string propertyValue)NXOpen.BasePropertyTable
SetTablePropertyOverride(string propertyName)NXOpen.BasePropertyTable
SetTablePropertyWithoutValue(string propertyName)NXOpen.BasePropertyTable
SetTimeAttribute(string title, string value)NXOpen.NXObject
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObject
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.